---
id: BFCIComponents
---

# Bluefly CI/CD Components (BFCIComponents)

## Important URLs

### Repository & CI/CD
- **Repository:** `https://gitlab.com/bluefly-llm/BFCIComponents`
  - Main development branch: `main`
  - Release branch: `release`
- **CI/CD Pipeline:** `https://gitlab.com/bluefly-llm/BFCIComponents/-/pipelines`
- **Package Registry:** `https://gitlab.com/bluefly-llm/BFCIComponents/container_registry`

### Documentation
- **Project Documentation (Local):** `http://localhost:8080/docs/BFCIComponents/`
  - Requires BFDOCS to be running (`cd ../BFDOCS && npm run docs:serve`)
- **Component Documentation:**
  - Template Reference: `/templates` directory
  - Script Documentation: `/scripts` directory
  - Pipeline Examples: `/examples` directory
- **Technical Documentation:** Located in `/docs` folder in repository
  - Architecture diagrams
  - Component guides
  - Integration guides
  - Development setup

### Component URLs
- **Template Registry:** `https://gitlab.com/bluefly-llm/BFCIComponents/-/tree/main/templates`
- **Script Registry:** `https://gitlab.com/bluefly-llm/BFCIComponents/-/tree/main/scripts`
- **Example Pipelines:** `https://gitlab.com/bluefly-llm/BFCIComponents/-/tree/main/examples`

### Related Services
- **GitLab Integration:** `https://gitlab.com/bluefly-llm`
  - Pipeline Status: Check individual project pipelines
  - Registry Status: Check container registry status
- **Monitoring Dashboard:** `http://localhost:9090` (if configured)
  - Pipeline Metrics
  - Build Statistics
  - Deployment Status

### Development Tools
- **Test Runner:** Run with `npm test`
- **Template Validation:** `npm run validate`
- **Documentation Generation:** `npm run docs:generate`
- **Local Testing:** `npm run test:local`

### Environment-Specific URLs
- **Development Registry:** `registry-dev.bluefly.ai`
- **Staging Registry:** `registry-staging.bluefly.ai`
- **Production Registry:** `registry.bluefly.ai`

## Quick Start
```bash
# Clone repository
git clone https://gitlab.com/bluefly-llm/BFCIComponents.git

# Install dependencies
npm install

# Set up environment
cp .env.example .env

# Validate templates
npm run validate

# Run tests
npm test
```

For detailed setup instructions, see [Setup Guide](./setup).

## Component Development
For information on creating new CI/CD components, see [Component Development Guide](./component-development).
