---
id: packages-development-bfapiclient-integration-README
---
# BFAPI Client - TypeScript SDK - Integration Guide

This directory contains integration documentation for BFAPI Client - TypeScript SDK.

## Integration Types

### Internal Services
- No internal service dependencies

### External Services
- [Third-party APIs](./external/apis)
- [Webhooks](./external/webhooks)
- [Authentication](./external/auth)

### Platform Integration
- [Drupal Integration](./platform/drupal)
- [GitLab CI/CD](./platform/gitlab)
- [Kubernetes](./platform/kubernetes)

## Integration Patterns

- [Event-driven Integration](./patterns/events)
- [API-first Integration](./patterns/api)
- [Data Synchronization](./patterns/sync)

---

*Part of the [BFAPI Client - TypeScript SDK](../index) documentation.*
