---
id: projects-bfllm
---
# BFLLM - LLM Training & Inference

LLM training, inference, model registry with distributed computing support

## Project Information

- **Category**: AI Services
- **Repository**: [https://gitlab.bluefly.io/ecosystem/bfllm](https://gitlab.bluefly.io/ecosystem/bfllm)
- **Local Path**: `../bfllm`
\n- **Language**: TypeScript/Python\n- **Type**: ai-service\n- **Port**: 3002

## Documentation


### Local Documentation
The project documentation is available in the project directory:
- [View Local Docs](file://./_CommonNPM/bfllm/docs)
- Path: `./_CommonNPM/bfllm/docs`

### Available Documentation
**Primary**:\n  - README\n  - FINE_TUNING_PIPELINE\n\n**Ml**:\n  - Model Evaluation\n  - Observability Optimization\n\n**Integration**:\n  - Mcp Integration\n  - Integration_gitlab_registry


## Integration with Platform

### API Access
- **Default Port**: 3002
- **Health Check**: `http://localhost:3002/health`
- **API Docs**: `http://localhost:3002/api-docs`

## Quick Commands

```bash
# Navigate to project
cd ../bfllm

# View documentation
open ./_CommonNPM/bfllm/docs

# Start development
# See project README for start command
```

## Related Documentation

- [Platform Overview](/architecture/)
- [Integration Patterns](/integration/)
- [Development Guide](/development/)


---

*This is a reference page. The actual documentation is maintained in the [project repository](https://gitlab.bluefly.io/ecosystem/bfllm).*
